# -*- encoding: utf-8 -*-

from django.contrib.auth.decorators import user_passes_test
from django.contrib.auth import REDIRECT_FIELD_NAME
from datamaster_modeles.models import Authentification

def employe_auf_requis(function=None, redirect_field_name=REDIRECT_FIELD_NAME):
    """
    S'assure que le membre connecté dispose d'un compte dans ref_autentification
    Redirige vers la page de login, si nécessaire
    """
    actual_decorator = user_passes_test(
        lambda u: u.is_authenticated() and Authentification.objects.filter(courriel=u.email).count() == 1,
        redirect_field_name=redirect_field_name
    )
    if function:
        return actual_decorator(function)
    return actual_decorator
